org.apache.commons.math3.exception

## Class MathParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalStateException
        - - org.apache.commons.math3.exception.MathIllegalStateException
          - - org.apache.commons.math3.exception.MathParseException

- All Implemented Interfaces:
    Serializable, ExceptionContextProvider

      public class MathParseException
      extends MathIllegalStateException
      implements ExceptionContextProvider

  Class to signal parse failures.
  Since:
    2.2
  Version:
    $Id$
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MathParseException(String wrong, int position)`
    `MathParseException(String wrong, int position, Class<?> type)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.commons.math3.exception.MathIllegalStateException

      `getContext, getLocalizedMessage, getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.commons.math3.exception.util.ExceptionContextProvider

      `getContext`

- - ### Constructor Detail

    - #### MathParseException

          public MathParseException(String wrong,
                            int position,
                            Class<?> type)

      Parameters:
        `wrong` - Bad string representation of the object.
        `position` - Index, in the `wrong` string, that caused the parsing to fail.
        `type` - Class of the object supposedly represented by the `wrong` string.

    - #### MathParseException

          public MathParseException(String wrong,
                            int position)

      Parameters:
        `wrong` - Bad string representation of the object.
        `position` - Index, in the `wrong` string, that caused the parsing to fail.

Copyright © 2003-2012 The Apache Software Foundation. All Rights Reserved.